Create chat completion
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"stream": true,
"tools": [
{}
],
"session_id": "<string>"
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/chat/completions"
payload = {
"messages": [{ "content": "<string>" }],
"stream": True,
"tools": [{}],
"session_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
stream: true,
tools: [{}],
session_id: '<string>'
})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{}
],
"session_id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Chat
Create chat completion
OpenAI-compatible chat completions for the project agent. Pass X-Session-ID for conversation continuity. Set stream: true for server-sent events.
POST
/
v1
/
projects
/
{projectId}
/
chat
/
completions
Create chat completion
Authorizations
Developer key created from the dashboard (Settings → Developer Keys)
Path Parameters
The ID of your project
Body
application/json
⌘I
